#include <stdio.h>
#include <stdlib.h>
#include "ganglia.h"

//mmodule example_module; 
static int ex_metric_init(apr_pool_t *p)
{
    apr_array_header_t *list_params = example_module.module_params_list
    srand(time(NULL)%99);
    return 0;
} 

static void ex_metric_cleanup ( void )
{

} 

static g_val_t ex_metric_handler ( int metric_index )
{
    g_val_t val;
    switch (metric_index) {
        case 0:
            val.int32 = rand()%99;
            return val;
        case 1:
            val.int32 = 50;
            return val;
    }
    /* default case */
    val.int32 = 0;
    return val;
} 

static const Ganglia_25metric ex_metric_info[] =
{
  {0, "Random_Numbers", 90,
     GANGLIA_VALUE_UNSIGNED_INT, "s", both",
     "%u", UDP_HEADER_SIZE+8,
     "Example module metric (random numbers)"},
  {0, "Constant_Number", 90,
     GANGLIA_VALUE_UNSIGNED_INT, "Num", "zero",
     "%hu", UDP_HEADER_SIZE+8,
     "Example module metric(constant number)"},
  {0, NULL}
}; 

mmodule example_module =
{
    STD_MMODULE_STUFF,
    ex_metric_init,
    ex_metric_cleanup,
    ex_metric_info,
    ex_metric_handler,
}; 
