#!/usr/bin/python
import os
import string

metric_we_want = 'tps kB_read/s kB_wrtn/s'.split()
device_we_want = 'xvda'.split()
available_metric = [] 
result = []
selected_device_id = 0
def get_availble_device_metric():
	global result, available_metric
	#grep device line number and tail the devices lines and devices metrics below
	f = os.popen(' iostat -d -k |tail -n+`iostat -d -k | grep -i -n device | cut -d\':\' -f 1`')
	header = f.read()
	result = header.split("\n")
	available_metric = result[0].split()
	result.pop(0) # remove the header and stick with just metrics for each devices
	print available_metric
	return 

def metric_handler(name):
	#refresh metric
	get_availble_device_metric()

	metric=name.split("__")[1]
	device=name.split("__")[0]
	index = available_metric.index(metric)
	value = float((result[selected_device_id]).split()[index])
	
	return value

def metric_init():
	
	#first get available metric 
	get_availble_device_metric()
    	descriptors = [] 
	selected_device_id = int(0)
	print 'disk metrics will be'
	for deviceresult in result:
		if deviceresult != '':
			#print selected_device_id,deviceresult
			device = deviceresult.split()[0]	
			for metric in metric_we_want:
				print device+'__'+metric
				d1 = {'name': device+'__'+metric,
        			'call_back': metric_handler,
        			'time_max': 90,
        			'value_type': 'uint',
        			'units': 'N',
        			'slope': 'zero',
        			'format': '%hu',
        			'description': 'Example module metric (constant number)'}
				descriptors.append(d1)
		selected_device_id+=1
	
	return descriptors

def metric_cleanup():
    '''Clean up the metric module.'''
    pass

#metric_init()



