#!/bin/sh

if [ $# -ne 1 ]; then
	echo Usage: $0 '(hostname|ip)'
	exit 1
fi
mysqlpropsfile='/root/rubis/RUBIS/Servlets_Hibernate/WEBAPP_CONF/mysql.properties'
linetoreplace=`cat  $mysqlpropsfile | grep -n 'datasource.url' | grep -o '^[0-9]*' `
 

#append the right line and delete the existing one
sed -i.old -e  "$linetoreplace c\
datasource.url\tjdbc:mysql:\/\/$1\/rubis\?relaxAutocommit=true" \
$mysqlpropsfile

 

