#!/bin/sh

hostslist=''
if [ $# == 0 ]; then
	
	echo 'USAGE: ' $0 'ip1 host1 ip2 host2 ...'
	exit 1
fi

while [ $2 ]
do 
	hostslist=$hostslist' '$2
	#shift twice 
	shift 2
done	

file='/etc/gmetad.conf'
linetoreplace=`cat  $file | \
grep -n '^data_source ' | grep -m 1 -o '^[0-9]*' `
 

#append the right line and delete the existing one
sed -i.old -e  "$linetoreplace c\
	data_source \"rubis_cluster\" $hostslist" \
$file


